/* Copyright (C) 2004 - 2005  db4objects Inc.  http://www.db4o.com

This file is part of the db4o open source object database.

db4o is free software; you can redistribute it and/or modify it under
the terms of version 2 of the GNU General Public License as published
by the Free Software Foundation and as clarified by db4objects' GPL 
interpretation policy, available at
http://www.db4o.com/about/company/legalpolicies/gplinterpretation/
Alternatively you can write to db4objects, Inc., 1900 S Norfolk Street,
Suite 350, San Mateo, CA 94403, USA.

db4o is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. */
using System;
using j4o.lang;
using j4o.io;
using com.db4o;
using com.db4o.ext;
using com.db4o.query;
namespace com.db4o.test {

   public class SwitchingFilesFromClient {
      
      public SwitchingFilesFromClient() : base() {
      }
      static internal String DB_FILE = "switchedToTest.yap";
      internal String name;
      
      internal void storeOne() {
         name = "helo";
         new File(DB_FILE).delete();
      }
      
      internal void testOne() {
         if (Tester.isClientServer()) {
            Tester.ensure(name.Equals("helo"));
            ExtClient client1 = (ExtClient)Tester.objectContainer();
            client1.switchToFile(DB_FILE);
            name = "hohoho";
            client1.set(this);
            Query q1 = client1.query();
            q1.constrain(j4o.lang.Class.getClassForObject(this));
            ObjectSet results1 = q1.execute();
            Tester.ensure(results1.size() == 1);
            SwitchingFilesFromClient sffc1 = (SwitchingFilesFromClient)results1.next();
            Tester.ensure(sffc1.name.Equals("hohoho"));
            client1.switchToMainFile();
            sffc1 = (SwitchingFilesFromClient)Tester.getOne(this);
            Tester.ensure(sffc1.name.Equals("helo"));
         }
      }
   }
}